Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.xml.stream.buffer.stax
Class StreamWriterBufferCreator

    java.lang.Object
      com.sun.xml.stream.buffer.AbstractCreatorProcessor
          com.sun.xml.stream.buffer.AbstractCreator
              com.sun.xml.stream.buffer.stax.StreamWriterBufferCreator

All Implemented Interfaces:
  javax.xml.stream.XMLStreamWriter, org.jvnet.staxex.XMLStreamWriterEx

    public class StreamWriterBufferCreator

extends AbstractCreator
implements org.jvnet.staxex.XMLStreamWriterEx

`XMLStreamWriter` that fills `MutableXMLStreamBuffer`.

TODO: need to retain all attributes/namespaces and then store all namespaces before the attributes. Currently it is necessary for the caller to ensure all namespaces are written before attributes and the caller must not intermix calls to the writeNamespace and writeAttribute methods.

Field Summary

Fields inherited from class com.sun.xml.stream.buffer.AbstractCreator
`_buffer`

Fields inherited from class com.sun.xml.stream.buffer.AbstractCreatorProcessor
`_contentCharactersBuffer, _contentCharactersBufferPtr, _contentObjects, _contentObjectsPtr, _currentContentCharactersBufferFragment, _currentContentObjectFragment, _currentStructureFragment, _currentStructureStringFragment, _structure, _structurePtr, _structureStrings, _structureStringsPtr, CHAR_ARRAY_LENGTH_MEDIUM, CHAR_ARRAY_LENGTH_MEDIUM_SIZE, CHAR_ARRAY_LENGTH_SMALL, CHAR_ARRAY_LENGTH_SMALL_SIZE, CONTENT_TYPE_CHAR_ARRAY, CONTENT_TYPE_CHAR_ARRAY_COPY, CONTENT_TYPE_OBJECT, CONTENT_TYPE_STRING, FLAG_DOCUMENT_FRAGMENT, FLAG_PREFIX, FLAG_QUALIFIED_NAME, FLAG_URI, T_ATTRIBUTE, T_ATTRIBUTE_LN, T_ATTRIBUTE_LN_OBJECT, T_ATTRIBUTE_P_U_LN, T_ATTRIBUTE_P_U_LN_OBJECT, T_ATTRIBUTE_U_LN, T_ATTRIBUTE_U_LN_OBJECT, T_ATTRIBUTE_U_LN_QN, T_ATTRIBUTE_U_LN_QN_OBJECT, T_COMMENT, T_COMMENT_AS_CHAR_ARRAY, T_COMMENT_AS_CHAR_ARRAY_COPY, T_COMMENT_AS_CHAR_ARRAY_MEDIUM, T_COMMENT_AS_CHAR_ARRAY_SMALL, T_COMMENT_AS_STRING, T_DOCUMENT, T_DOCUMENT_FRAGMENT, T_ELEMENT, T_ELEMENT_LN, T_ELEMENT_P_U_LN, T_ELEMENT_U_LN, T_ELEMENT_U_LN_QN, T_END, T_END_OF_BUFFER, T_NAMESPACE_ATTRIBUTE, T_NAMESPACE_ATTRIBUTE_P, T_NAMESPACE_ATTRIBUTE_P_U, T_NAMESPACE_ATTRIBUTE_U, T_PROCESSING_INSTRUCTION, T_TEXT, T_TEXT_AS_CHAR_ARRAY, T_TEXT_AS_CHAR_ARRAY_COPY, T_TEXT_AS_CHAR_ARRAY_MEDIUM, T_TEXT_AS_CHAR_ARRAY_SMALL, T_TEXT_AS_OBJECT, T_TEXT_AS_STRING, T_UNEXPANDED_ENTITY_REFERENCE, TYPE_MASK, VALUE_TYPE_OBJECT, VALUE_TYPE_STRING`

Constructor Summary
`StreamWriterBufferCreator()`
`StreamWriterBufferCreator(MutableXMLStreamBuffer buffer)`

Method Summary
`void` | `close()`
`void` | `flush()`
`org.jvnet.staxex.NamespaceContextEx` | `getNamespaceContext()`
`java.lang.String` | `getPrefix(java.lang.String namespaceURI)`
`java.lang.Object` | `getProperty(java.lang.String str)`
`void` | `setDefaultNamespace(java.lang.String namespaceURI)`
`void` | `setNamespaceContext(javax.xml.namespace.NamespaceContext namespaceContext)`
`void` | `setPrefix(java.lang.String prefix, java.lang.String namespaceURI)`
`protected void` | `storeAttribute(java.lang.String prefix, java.lang.String uri, java.lang.String localName, java.lang.String type, java.lang.String value)`
`protected void` | `storeNamespaceAttribute(java.lang.String prefix, java.lang.String uri)`
`protected void` | `storeProcessingInstruction(java.lang.String target, java.lang.String data)`
`protected void` | `storeQualifiedName(int item, java.lang.String prefix, java.lang.String uri, java.lang.String localName)`
`void` | `writeAttribute(java.lang.String localName, java.lang.String value)`
`void` | `writeAttribute(java.lang.String namespaceURI, java.lang.String localName, java.lang.String value)`
`void` | `writeAttribute(java.lang.String prefix, java.lang.String namespaceURI, java.lang.String localName, java.lang.String value)`
`void` | `writeBinary(byte[] bytes, int offset, int length, java.lang.String endpointURL)`
`void` | `writeBinary(javax.activation.DataHandler dataHandler)`
`java.io.OutputStream` | `writeBinary(java.lang.String endpointURL)`
`void` | `writeCData(java.lang.String data)`
`void` | `writeCharacters(char[] buf, int start, int len)`
`void` | `writeCharacters(java.lang.String charData)`
`void` | `writeComment(java.lang.String str)`
`void` | `writeDefaultNamespace(java.lang.String namespaceURI)`
`void` | `writeDTD(java.lang.String str)`
`void` | `writeEmptyElement(java.lang.String localName)`
`void` | `writeEmptyElement(java.lang.String namespaceURI, java.lang.String localName)`
`void` | `writeEmptyElement(java.lang.String prefix, java.lang.String localName, java.lang.String namespaceURI)`
`void` | `writeEndDocument()`
`void` | `writeEndElement()`
`void` | `writeEntityRef(java.lang.String str)`
`void` | `writeNamespace(java.lang.String prefix, java.lang.String namespaceURI)`
`void` | `writePCDATA(java.lang.CharSequence charSequence)`
`void` | `writeProcessingInstruction(java.lang.String target)`
`void` | `writeProcessingInstruction(java.lang.String target, java.lang.String data)`
`void` | `writeStartDocument()`
`void` | `writeStartDocument(java.lang.String version)`
`void` | `writeStartDocument(java.lang.String encoding, java.lang.String version)`
`void` | `writeStartElement(java.lang.String localName)`
`void` | `writeStartElement(java.lang.String namespaceURI, java.lang.String localName)`
`void` | `writeStartElement(java.lang.String prefix, java.lang.String localName, java.lang.String namespaceURI)`

Methods inherited from class com.sun.xml.stream.buffer.AbstractCreator
`createBuffer, getXMLStreamBuffer, increaseTreeCount, peekAtContentObject, resizeContentCharacters, resizeContentObjects, resizeStructure, resizeStructureStrings, setBuffer, setHasInternedStrings, setXMLStreamBuffer, storeContentCharacters, storeContentCharactersCopy, storeContentObject, storeContentString, storeStructure, storeStructureString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamWriterBufferCreator

    public StreamWriterBufferCreator()

### StreamWriterBufferCreator

    public StreamWriterBufferCreator(MutableXMLStreamBuffer buffer)

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String str)
                                 throws java.lang.IllegalArgumentException

  Specified by:
    `getProperty` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `java.lang.IllegalArgumentException`

### close

    public void close()
               throws javax.xml.stream.XMLStreamException

  Specified by:
    `close` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### flush

    public void flush()
               throws javax.xml.stream.XMLStreamException

  Specified by:
    `flush` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getNamespaceContext

    public org.jvnet.staxex.NamespaceContextEx getNamespaceContext()

  Specified by:
    `getNamespaceContext` in interface `javax.xml.stream.XMLStreamWriter`
  Specified by:
    `getNamespaceContext` in interface `org.jvnet.staxex.XMLStreamWriterEx`

### setNamespaceContext

    public void setNamespaceContext(javax.xml.namespace.NamespaceContext namespaceContext)
                             throws javax.xml.stream.XMLStreamException

  Specified by:
    `setNamespaceContext` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### setDefaultNamespace

    public void setDefaultNamespace(java.lang.String namespaceURI)
                             throws javax.xml.stream.XMLStreamException

  Specified by:
    `setDefaultNamespace` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### setPrefix

    public void setPrefix(java.lang.String prefix,
                          java.lang.String namespaceURI)
                   throws javax.xml.stream.XMLStreamException

  Specified by:
    `setPrefix` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### getPrefix

    public java.lang.String getPrefix(java.lang.String namespaceURI)
                               throws javax.xml.stream.XMLStreamException

  Specified by:
    `getPrefix` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeStartDocument

    public void writeStartDocument()
                            throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeStartDocument` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeStartDocument

    public void writeStartDocument(java.lang.String version)
                            throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeStartDocument` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeStartDocument

    public void writeStartDocument(java.lang.String encoding,
                                   java.lang.String version)
                            throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeStartDocument` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeEndDocument

    public void writeEndDocument()
                          throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeEndDocument` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeStartElement

    public void writeStartElement(java.lang.String localName)
                           throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeStartElement` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeStartElement

    public void writeStartElement(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeStartElement` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeStartElement

    public void writeStartElement(java.lang.String prefix,
                                  java.lang.String localName,
                                  java.lang.String namespaceURI)
                           throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeStartElement` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeEmptyElement

    public void writeEmptyElement(java.lang.String localName)
                           throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeEmptyElement` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeEmptyElement

    public void writeEmptyElement(java.lang.String namespaceURI,
                                  java.lang.String localName)
                           throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeEmptyElement` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeEmptyElement

    public void writeEmptyElement(java.lang.String prefix,
                                  java.lang.String localName,
                                  java.lang.String namespaceURI)
                           throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeEmptyElement` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeEndElement

    public void writeEndElement()
                         throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeEndElement` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeDefaultNamespace

    public void writeDefaultNamespace(java.lang.String namespaceURI)
                               throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeDefaultNamespace` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeNamespace

    public void writeNamespace(java.lang.String prefix,
                               java.lang.String namespaceURI)
                        throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeNamespace` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeAttribute

    public void writeAttribute(java.lang.String localName,
                               java.lang.String value)
                        throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeAttribute` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeAttribute

    public void writeAttribute(java.lang.String namespaceURI,
                               java.lang.String localName,
                               java.lang.String value)
                        throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeAttribute` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeAttribute

    public void writeAttribute(java.lang.String prefix,
                               java.lang.String namespaceURI,
                               java.lang.String localName,
                               java.lang.String value)
                        throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeAttribute` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeCData

    public void writeCData(java.lang.String data)
                    throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeCData` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeCharacters

    public void writeCharacters(java.lang.String charData)
                         throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeCharacters` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeCharacters

    public void writeCharacters(char[] buf,
                                int start,
                                int len)
                         throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeCharacters` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeComment

    public void writeComment(java.lang.String str)
                      throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeComment` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeDTD

    public void writeDTD(java.lang.String str)
                  throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeDTD` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeEntityRef

    public void writeEntityRef(java.lang.String str)
                        throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeEntityRef` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeProcessingInstruction

    public void writeProcessingInstruction(java.lang.String target)
                                    throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeProcessingInstruction` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeProcessingInstruction

    public void writeProcessingInstruction(java.lang.String target,
                                           java.lang.String data)
                                    throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeProcessingInstruction` in interface `javax.xml.stream.XMLStreamWriter`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writePCDATA

    public void writePCDATA(java.lang.CharSequence charSequence)
                     throws javax.xml.stream.XMLStreamException

  Specified by:
    `writePCDATA` in interface `org.jvnet.staxex.XMLStreamWriterEx`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeBinary

    public void writeBinary(byte[] bytes,
                            int offset,
                            int length,
                            java.lang.String endpointURL)
                     throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeBinary` in interface `org.jvnet.staxex.XMLStreamWriterEx`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeBinary

    public void writeBinary(javax.activation.DataHandler dataHandler)
                     throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeBinary` in interface `org.jvnet.staxex.XMLStreamWriterEx`
  Throws:
    `javax.xml.stream.XMLStreamException`

### writeBinary

    public java.io.OutputStream writeBinary(java.lang.String endpointURL)
                                     throws javax.xml.stream.XMLStreamException

  Specified by:
    `writeBinary` in interface `org.jvnet.staxex.XMLStreamWriterEx`
  Throws:
    `javax.xml.stream.XMLStreamException`

### storeQualifiedName

    protected void storeQualifiedName(int item,
                                      java.lang.String prefix,
                                      java.lang.String uri,
                                      java.lang.String localName)

### storeNamespaceAttribute

    protected final void storeNamespaceAttribute(java.lang.String prefix,
                                                 java.lang.String uri)

### storeAttribute

    protected final void storeAttribute(java.lang.String prefix,
                                        java.lang.String uri,
                                        java.lang.String localName,
                                        java.lang.String type,
                                        java.lang.String value)

### storeProcessingInstruction

    protected final void storeProcessingInstruction(java.lang.String target,
                                                    java.lang.String data)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD